Bug 1477529 - (CVE-2017-12132) CVE-2017-12132 glibc: Fragmentation attacks possible when EDNS0 is enabled
CVE-2017-12132 glibc: Fragmentation attacks possible when EDNS0 is enabled
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170407,reported=2...
: Security
Depends On: 1487063 1477530
Blocks: 1477532
  Show dependency treegraph
 
Reported: 2017-08-02 06:56 EDT by Adam Mariš
Modified: 2017-10-11 08:07 EDT (History)
14 users (show)

See Also:
Fixed In Version: glibc 2.26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-02 06:56:00 EDT
The DNS stub resolver in the GNU C Library (aka glibc or libc6) before version 2.26, when EDNS support is enabled, will solicit large UDP responses from name servers, potentially simplifying off-path DNS spoofing attacks due to IP fragmentation.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21361
Comment 1 Adam Mariš 2017-08-02 06:56:32 EDT
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1477530]
Comment 3 Huzaifa S. Sidhpurwala 2017-08-31 05:20:11 EDT
Statement:

This issue only affects systems which use a remote recursive resolver and enable EDNS0, either with the “edns0” option in /etc/resolv.conf, or using the RES_USE_EDNS0 or RES_USE_DNSSEC resolver flags. The underlying issue affects recursive resolvers such as BIND and Unbound as well, and has to be fixed separately there.

Note You need to log in before you can comment on or make changes to this bug.